org.apache.lucene.ant

## Interface DocumentHandler

- All Known Subinterfaces:
    ConfigurableDocumentHandler
  All Known Implementing Classes:
    FileExtensionDocumentHandler

      public interface DocumentHandler

  Allows a class to act as a Lucene document handler
  Since:
    October 27, 2001

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.document.Document` | `getDocument(java.io.File file)` Gets the document attribute of the DocumentHandler object

- - ### Method Detail

    - #### getDocument

          org.apache.lucene.document.Document getDocument(java.io.File file)
                                                   throws DocumentHandlerException

      Gets the document attribute of the DocumentHandler object
      Parameters:
        `file` - Description of Parameter
      Returns:
        The document value
      Throws:
        `DocumentHandlerException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.